Texa DeskDevelopers

Texa Desk Application API · Contacts

Create contact inbox

POST/api/v1/accounts/{account_id}/contacts/{id}/contact_inboxes

Create a contact inbox record for an inbox

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

idnumberrequired

ID of the contact

Body application/json

inbox_idnumberrequired

The ID of the inbox

source_idstring

Contact Inbox Source Id

Responses

200

Success

source_idstring

Contact Inbox Source Id

inboxobject
inbox.idnumber

ID of the inbox

inbox.avatar_urlstring

The avatar image of the inbox

inbox.channel_idnumber

The ID of the channel

inbox.namestring

The name of the inbox

inbox.channel_typestring

The type of the inbox

inbox.providerstring

The provider of the inbox

401

Authentication error

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
422

Incorrect payload

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring